> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a deal property

> Update the definition for the specified deal property. Need to update your deal stage definitions or your pipeline definitions? The dealstage and pipeline properties are managed using the CRM Pipelines API.



## OpenAPI

````yaml specs/legacy/v1/crm-properties-v1-deals.json PUT /properties/v1/deals/properties/named/{property_name}
openapi: 3.0.0
info:
  title: CRM Properties API v1 - Deals
  version: 1.0.0
  description: >-
    Legacy CRM Properties API v1 - Deals - Manage deal properties and property
    groups
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /properties/v1/deals/properties/named/{property_name}:
    put:
      summary: Update a deal property
      description: >-
        Update the definition for the specified deal property. Need to update
        your deal stage definitions or your pipeline definitions? The dealstage
        and pipeline properties are managed using the CRM Pipelines API.
      operationId: putpropertiesv1dealspropertiesnamedpropertyname
      parameters:
        - name: property_name
          in: path
          required: true
          description: >-
            You must include the property name in the URL that you're using to
            make the request. This property name can only include lower case
            letters and numbers, and MUST start with a lower case letter.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DealPropertyUpdate'
      responses:
        '200':
          description: Deal property updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DealProperty'
      security:
        - oauth2:
            - crm.schemas.deals.write
        - oauth2_legacy: []
        - private_apps:
            - crm.schemas.deals.write
        - private_apps_legacy: []
components:
  schemas:
    DealPropertyUpdate:
      type: object
      required:
        - name
        - groupName
        - type
        - fieldType
      properties:
        name:
          type: string
          description: The internal name of the property
        label:
          type: string
          description: A human readable label for the property
        description:
          type: string
          description: A description of the property
        groupName:
          type: string
          description: The property group that the property belongs to
        type:
          type: string
          enum:
            - string
            - number
            - bool
            - datetime
            - enumeration
          description: The data type that the property stores
        fieldType:
          type: string
          enum:
            - textarea
            - select
            - text
            - date
            - file
            - number
            - radio
            - checkbox
          description: Controls how the property appears when used in forms
        options:
          type: array
          items:
            $ref: '#/components/schemas/PropertyOptionCreate'
          description: >-
            Options for enumeration properties. This will OVERWRITE existing
            options.
        displayOrder:
          type: integer
          description: >-
            Used to control the default order of the property within the
            property group
        formField:
          type: boolean
          description: Whether the property can be used in forms
    DealProperty:
      type: object
      properties:
        name:
          type: string
          description: The internal name of the property
        label:
          type: string
          description: A human readable label for the property
        description:
          type: string
          description: A description of the property
        groupName:
          type: string
          description: The property group that the property belongs to
        type:
          type: string
          enum:
            - string
            - number
            - bool
            - datetime
            - enumeration
          description: The data type that the property stores
        fieldType:
          type: string
          enum:
            - textarea
            - select
            - text
            - date
            - file
            - number
            - radio
            - checkbox
          description: Controls how the property appears when used in forms
        options:
          type: array
          items:
            $ref: '#/components/schemas/PropertyOption'
          description: Options for enumeration properties
        displayOrder:
          type: integer
          description: >-
            Used to control the default order of the property within the
            property group
        formField:
          type: boolean
          description: Whether the property can be used in forms
        readOnlyValue:
          type: boolean
          description: Whether the property value is read-only
        readOnlyDefinition:
          type: boolean
          description: Whether the property definition is read-only
        hidden:
          type: boolean
          description: Whether the property is hidden
        mutableDefinitionNotDeletable:
          type: boolean
          description: Whether the property definition can be deleted
        favorited:
          type: boolean
          description: Whether the property is favorited
        favoritedOrder:
          type: integer
          description: The order of the property in the favorites list
        calculated:
          type: boolean
          description: Whether the property is calculated
        externalOptions:
          type: boolean
          description: Whether the property uses external options
        displayMode:
          type: string
          description: The display mode of the property
        hubspotDefined:
          type: boolean
          description: Whether the property is defined by HubSpot
        createdAt:
          type: integer
          description: Timestamp when the property was created
        updatedAt:
          type: integer
          description: Timestamp when the property was last updated
        createdUserId:
          type: integer
          description: The ID of the user who created the property
        updatedUserId:
          type: integer
          description: The ID of the user who last updated the property
    PropertyOptionCreate:
      type: object
      required:
        - label
        - value
      properties:
        label:
          type: string
          description: Human readable label for the option
        value:
          type: string
          description: Internal value for the option
        description:
          type: string
          description: Description of the option
        displayOrder:
          type: integer
          description: Order of the option in the list
        hidden:
          type: boolean
          description: Whether the option is hidden
    PropertyOption:
      type: object
      properties:
        description:
          type: string
          description: Description of the option
        label:
          type: string
          description: Human readable label for the option
        value:
          type: string
          description: Internal value for the option
        displayOrder:
          type: integer
          description: Order of the option in the list
        hidden:
          type: boolean
          description: Whether the option is hidden
        readOnly:
          type: boolean
          description: Whether the option is read-only
        doubleData:
          type: number
          description: Additional numeric data for the option

````